using BankDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.ViewModels
{
    public class CreditProgramViewModel : ICreditProgramModel
    {
        [DisplayName("Название кредитной программы")]
        public string Name { get; set; } = String.Empty;
        [DisplayName("Процент кредитования")]
        public float Persent { get; set; }
        public Dictionary<int, ICurrencyModel> Currencies { get; set; } = new();
        [DisplayName("Номер программы")]
        public int Id { get; set; }
    }
}
